import{s as Be,n as Fe,o as Ie}from"../chunks/scheduler.7bc62968.js";import{S as Ze,i as Ne,g as n,s,r as Ae,A as Ye,h as i,f as o,c as l,j as ze,u as Ee,x as a,k as Oe,y as Ge,a as r,v as De,d as Ue,t as Je,w as Re}from"../chunks/index.2f8492b0.js";import{C as Ve}from"../chunks/CodeBlock.4e96d6f7.js";import{H as Xe}from"../chunks/Heading.14fb2476.js";function Ke(pe){let c,E,A,O,d,D,p,ue="Spaces are configured through the <code>YAML</code> block at the top of the <strong>README.md</strong> file at the root of the repository. All the accepted parameters are listed below.",U,u,me=`<strong><code>title</code></strong> : <em>string</em><br/>
Display title for the Space.`,J,m,fe=`<strong><code>emoji</code></strong> : <em>string</em><br/>
Space emoji (emoji-only character allowed).`,R,f,he=`<strong><code>colorFrom</code></strong> : <em>string</em><br/>
Color for Thumbnail gradient (red, yellow, green, blue, indigo, purple, pink, gray).`,B,h,ge=`<strong><code>colorTo</code></strong> : <em>string</em><br/>
Color for Thumbnail gradient (red, yellow, green, blue, indigo, purple, pink, gray).`,F,g,be=`<strong><code>sdk</code></strong> : <em>string</em><br/>
Can be either <code>gradio</code>, <code>streamlit</code>, <code>docker</code>, or <code>static</code>.`,I,b,ve=`<strong><code>python_version</code></strong>: <em>string</em><br/>
Any valid Python <code>3.x</code> or <code>3.x.x</code> version.<br/>
Defaults to <code>3.10</code>.`,Z,v,Te=`<strong><code>sdk_version</code></strong> : <em>string</em><br/>
Specify the version of the selected SDK (Streamlit or Gradio).<br/>
All versions of Gradio are supported.<br/>
All versions of Streamlit from <code>0.79.0</code> are supported.`,N,T,ye=`<strong><code>suggested_hardware</code></strong> : <em>string</em><br/>
Specify the suggested <a href="https://huggingface.co/docs/hub/spaces-gpus" rel="nofollow">hardware</a> on which this Space must be run.<br/>
Useful for Spaces that are meant to be duplicated by other users.<br/>
Setting this value will not automatically assign an hardware to this Space.<br/>
Value must be a valid hardware flavor (e.g. <code>&quot;cpu-upgrade&quot;</code>, <code>&quot;t4-small&quot;</code>, <code>&quot;t4-medium&quot;</code>, <code>&quot;a10g-small&quot;</code>, <code>&quot;a10g-large&quot;</code> or <code>&quot;a100-large&quot;</code>).`,Y,y,Me=`<strong><code>suggested_storage</code></strong> : <em>string</em><br/>
Specify the suggested <a href="https://huggingface.co/docs/hub/spaces-storage" rel="nofollow">permanent storage</a> on which this Space must be run.<br/>
Useful for Spaces that are meant to be duplicated by other users.<br/>
Setting this value will not automatically assign a permanent storage to this Space.<br/>
Value must be one of <code>&quot;small&quot;</code>, <code>&quot;medium&quot;</code> or <code>&quot;large&quot;</code>.`,G,M,He=`<strong><code>app_file</code></strong> : <em>string</em><br/>
Path to your main application file (which contains either <code>gradio</code> or <code>streamlit</code> Python code, or <code>static</code> html code).<br/>
Path is relative to the root of the repository.`,V,H,Le=`<strong><code>app_port</code></strong> : <em>int</em><br/>
Port on which your application is running. Used only if <code>sdk</code> is <code>docker</code>. Default port is <code>7860</code>.`,X,L,_e=`<strong><code>base_path</code></strong>: <em>string</em>
For non-static Spaces, initial url to render. Needs to start with <code>/</code>. For static Spaces, use <code>app_file</code> instead.`,K,_,we=`<strong><code>fullWidth</code></strong>: <em>boolean</em><br/>
Whether your Space is rendered inside a full-width (when <code>true</code>) or fixed-width column (ie. “container” CSS) inside the iframe.
Defaults to false in <code>gradio</code>, and to true for other sdks.`,Q,w,Se=`<strong><code>models</code></strong> : <em>List[string]</em><br/>
HF model IDs (like <code>gpt2</code> or <code>deepset/roberta-base-squad2</code>) used in the Space.<br/>
Will be parsed automatically from your code if not specified here.`,ee,S,Pe=`<strong><code>datasets</code></strong> : <em>List[string]</em><br/>
HF dataset IDs (like <code>common_voice</code> or <code>oscar-corpus/OSCAR-2109</code>) used in the Space.<br/>
Will be parsed automatically from your code if not specified here.`,te,P,Ce=`<strong><code>tags</code></strong> : <em>List[string]</em><br/>
List of terms that describe your Space task or scope.`,oe,C,xe=`<strong><code>pinned</code></strong> : <em>boolean</em><br/>
Whether the Space stays on top of your profile. Can be useful if you have a lot of Spaces so you and others can quickly see your best Space.`,re,x,ke=`<strong><code>hf_oauth</code></strong> : <em>boolean</em><br/>
Whether a connected OAuth app is associated to this Space. See <a href="https://huggingface.co/docs/hub/spaces-oauth" rel="nofollow">Adding a Sign-In with HF button to your Space</a> for more details.`,se,k,qe=`<strong><code>hf_oauth_redirect_path</code></strong> : <em>string</em><br/>
Authorized relative redirect path of the connected OAuth app. <code>/login/callback</code> and <code>/auth/callback</code> are authorized by default and do not need this parameter. See <a href="https://huggingface.co/docs/hub/spaces-oauth" rel="nofollow">Adding a Sign-In with HF button to your space</a> for more details.`,le,q,We=`<strong><code>disable_embedding</code></strong> : <em>boolean</em><br/>
Whether the Space iframe can be embedded in other websites.
Defaults to false, i.e. Spaces <em>can</em> be embedded.`,ne,W,je=`<strong><code>custom_headers</code></strong> : <em>Dict[string, string]</em><br/>
Set custom HTTP headers that will be added to all HTTP responses when serving your Space.<br/>
For now, only the <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Embedder-Policy" rel="nofollow">cross-origin-embedder-policy</a> (COEP), <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Opener-Policy" rel="nofollow">cross-origin-opener-policy</a> (COOP), and <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Resource-Policy" rel="nofollow">cross-origin-resource-policy</a> (CORP) headers are allowed. These headers can be used to set up a cross-origin isolated environment and enable powerful features like <code>SharedArrayBuffer</code>, for example:`,ie,j,ae,$,$e="<em>Note:</em> all headers and values must be lowercase.",ce,z,de;return d=new Xe({props:{title:"Spaces Configuration Reference",local:"spaces-configuration-reference",headingTag:"h1"}}),j=new Ve({props:{code:"Y3VzdG9tX2hlYWRlcnMlM0ElMEElMjAlMjBjcm9zcy1vcmlnaW4tZW1iZWRkZXItcG9saWN5JTNBJTIwcmVxdWlyZS1jb3JwJTBBJTIwJTIwY3Jvc3Mtb3JpZ2luLW9wZW5lci1wb2xpY3klM0ElMjBzYW1lLW9yaWdpbiUwQSUyMCUyMGNyb3NzLW9yaWdpbi1yZXNvdXJjZS1wb2xpY3klM0ElMjBjcm9zcy1vcmlnaW4=",highlighted:`<span class="hljs-attr">custom_headers:</span>
  <span class="hljs-attr">cross-origin-embedder-policy:</span> <span class="hljs-string">require-corp</span>
  <span class="hljs-attr">cross-origin-opener-policy:</span> <span class="hljs-string">same-origin</span>
  <span class="hljs-attr">cross-origin-resource-policy:</span> <span class="hljs-string">cross-origin</span>`,wrap:!1}}),{c(){c=n("meta"),E=s(),A=n("p"),O=s(),Ae(d.$$.fragment),D=s(),p=n("p"),p.innerHTML=ue,U=s(),u=n("p"),u.innerHTML=me,J=s(),m=n("p"),m.innerHTML=fe,R=s(),f=n("p"),f.innerHTML=he,B=s(),h=n("p"),h.innerHTML=ge,F=s(),g=n("p"),g.innerHTML=be,I=s(),b=n("p"),b.innerHTML=ve,Z=s(),v=n("p"),v.innerHTML=Te,N=s(),T=n("p"),T.innerHTML=ye,Y=s(),y=n("p"),y.innerHTML=Me,G=s(),M=n("p"),M.innerHTML=He,V=s(),H=n("p"),H.innerHTML=Le,X=s(),L=n("p"),L.innerHTML=_e,K=s(),_=n("p"),_.innerHTML=we,Q=s(),w=n("p"),w.innerHTML=Se,ee=s(),S=n("p"),S.innerHTML=Pe,te=s(),P=n("p"),P.innerHTML=Ce,oe=s(),C=n("p"),C.innerHTML=xe,re=s(),x=n("p"),x.innerHTML=ke,se=s(),k=n("p"),k.innerHTML=qe,le=s(),q=n("p"),q.innerHTML=We,ne=s(),W=n("p"),W.innerHTML=je,ie=s(),Ae(j.$$.fragment),ae=s(),$=n("p"),$.innerHTML=$e,ce=s(),z=n("p"),this.h()},l(e){const t=Ye("svelte-u9bgzb",document.head);c=i(t,"META",{name:!0,content:!0}),t.forEach(o),E=l(e),A=i(e,"P",{}),ze(A).forEach(o),O=l(e),Ee(d.$$.fragment,e),D=l(e),p=i(e,"P",{"data-svelte-h":!0}),a(p)!=="svelte-1rus8o"&&(p.innerHTML=ue),U=l(e),u=i(e,"P",{"data-svelte-h":!0}),a(u)!=="svelte-1o8zbi0"&&(u.innerHTML=me),J=l(e),m=i(e,"P",{"data-svelte-h":!0}),a(m)!=="svelte-1f0ocfz"&&(m.innerHTML=fe),R=l(e),f=i(e,"P",{"data-svelte-h":!0}),a(f)!=="svelte-qbm1rz"&&(f.innerHTML=he),B=l(e),h=i(e,"P",{"data-svelte-h":!0}),a(h)!=="svelte-1u1c3la"&&(h.innerHTML=ge),F=l(e),g=i(e,"P",{"data-svelte-h":!0}),a(g)!=="svelte-vqx1dg"&&(g.innerHTML=be),I=l(e),b=i(e,"P",{"data-svelte-h":!0}),a(b)!=="svelte-1djpop4"&&(b.innerHTML=ve),Z=l(e),v=i(e,"P",{"data-svelte-h":!0}),a(v)!=="svelte-1q9ujtb"&&(v.innerHTML=Te),N=l(e),T=i(e,"P",{"data-svelte-h":!0}),a(T)!=="svelte-5hxgt9"&&(T.innerHTML=ye),Y=l(e),y=i(e,"P",{"data-svelte-h":!0}),a(y)!=="svelte-1wd1r0k"&&(y.innerHTML=Me),G=l(e),M=i(e,"P",{"data-svelte-h":!0}),a(M)!=="svelte-10ue70i"&&(M.innerHTML=He),V=l(e),H=i(e,"P",{"data-svelte-h":!0}),a(H)!=="svelte-np4by"&&(H.innerHTML=Le),X=l(e),L=i(e,"P",{"data-svelte-h":!0}),a(L)!=="svelte-a0961b"&&(L.innerHTML=_e),K=l(e),_=i(e,"P",{"data-svelte-h":!0}),a(_)!=="svelte-10nikp5"&&(_.innerHTML=we),Q=l(e),w=i(e,"P",{"data-svelte-h":!0}),a(w)!=="svelte-s0reay"&&(w.innerHTML=Se),ee=l(e),S=i(e,"P",{"data-svelte-h":!0}),a(S)!=="svelte-1sc6yo3"&&(S.innerHTML=Pe),te=l(e),P=i(e,"P",{"data-svelte-h":!0}),a(P)!=="svelte-1gxsj06"&&(P.innerHTML=Ce),oe=l(e),C=i(e,"P",{"data-svelte-h":!0}),a(C)!=="svelte-n0xeyu"&&(C.innerHTML=xe),re=l(e),x=i(e,"P",{"data-svelte-h":!0}),a(x)!=="svelte-8e9il"&&(x.innerHTML=ke),se=l(e),k=i(e,"P",{"data-svelte-h":!0}),a(k)!=="svelte-1fx319r"&&(k.innerHTML=qe),le=l(e),q=i(e,"P",{"data-svelte-h":!0}),a(q)!=="svelte-1vor0c2"&&(q.innerHTML=We),ne=l(e),W=i(e,"P",{"data-svelte-h":!0}),a(W)!=="svelte-1vtuad"&&(W.innerHTML=je),ie=l(e),Ee(j.$$.fragment,e),ae=l(e),$=i(e,"P",{"data-svelte-h":!0}),a($)!=="svelte-1athwnk"&&($.innerHTML=$e),ce=l(e),z=i(e,"P",{}),ze(z).forEach(o),this.h()},h(){Oe(c,"name","hf:doc:metadata"),Oe(c,"content",Qe)},m(e,t){Ge(document.head,c),r(e,E,t),r(e,A,t),r(e,O,t),De(d,e,t),r(e,D,t),r(e,p,t),r(e,U,t),r(e,u,t),r(e,J,t),r(e,m,t),r(e,R,t),r(e,f,t),r(e,B,t),r(e,h,t),r(e,F,t),r(e,g,t),r(e,I,t),r(e,b,t),r(e,Z,t),r(e,v,t),r(e,N,t),r(e,T,t),r(e,Y,t),r(e,y,t),r(e,G,t),r(e,M,t),r(e,V,t),r(e,H,t),r(e,X,t),r(e,L,t),r(e,K,t),r(e,_,t),r(e,Q,t),r(e,w,t),r(e,ee,t),r(e,S,t),r(e,te,t),r(e,P,t),r(e,oe,t),r(e,C,t),r(e,re,t),r(e,x,t),r(e,se,t),r(e,k,t),r(e,le,t),r(e,q,t),r(e,ne,t),r(e,W,t),r(e,ie,t),De(j,e,t),r(e,ae,t),r(e,$,t),r(e,ce,t),r(e,z,t),de=!0},p:Fe,i(e){de||(Ue(d.$$.fragment,e),Ue(j.$$.fragment,e),de=!0)},o(e){Je(d.$$.fragment,e),Je(j.$$.fragment,e),de=!1},d(e){e&&(o(E),o(A),o(O),o(D),o(p),o(U),o(u),o(J),o(m),o(R),o(f),o(B),o(h),o(F),o(g),o(I),o(b),o(Z),o(v),o(N),o(T),o(Y),o(y),o(G),o(M),o(V),o(H),o(X),o(L),o(K),o(_),o(Q),o(w),o(ee),o(S),o(te),o(P),o(oe),o(C),o(re),o(x),o(se),o(k),o(le),o(q),o(ne),o(W),o(ie),o(ae),o($),o(ce),o(z)),o(c),Re(d,e),Re(j,e)}}}const Qe='{"title":"Spaces Configuration Reference","local":"spaces-configuration-reference","sections":[],"depth":1}';function et(pe){return Ie(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class lt extends Ze{constructor(c){super(),Ne(this,c,et,Ke,Be,{})}}export{lt as component};
